Obtener una factura por ID
curl --request GET \
--url https://api.fint.app/api/v1/invoice/{invoiceId} \
--header 'x-api-key: <api-key>'{
"id": 123,
"totalAmount": "<string>",
"totalPaid": "<string>",
"totalPending": "<string>",
"totalMora": "<string>",
"interestPaid": "<string>",
"interestSnapshot": "<string>",
"interestSnapshotDate": "<string>",
"description": "<string>",
"date": "<string>",
"expirationDate": "<string>",
"settlement": {
"id": 123,
"name": "<string>",
"sentDate": "<string>"
},
"lastPaymentDate": "<string>",
"uniqueId": "<string>",
"applyInterest": true,
"externalReference": "<string>",
"contact": {
"id": 123,
"name": "<string>",
"lastName": "<string>",
"documentNumber": "<string>"
},
"items": [
{
"id": 123,
"name": "<string>",
"amount": "<string>",
"description": "<string>",
"startDate": "<string>",
"isIndefinite": true,
"conditionItems": [
{
"id": 123,
"name": "<string>",
"amount": "<string>",
"description": "<string>",
"startDate": "<string>",
"collectionCycles": 1
}
],
"originalAmount": "<string>",
"imageUrl": "<string>",
"quantity": 123,
"teachableCourseId": 123,
"teachableCourseExpiresAt": "<string>",
"collectionCycles": 1,
"generateInterestForLatePayment": false,
"moraDetails": [
{
"fromDay": 123,
"untilDay": 123,
"percentage": "<string>",
"daysToApply": 123,
"interestCalculated": "<string>",
"itemId": 123,
"configId": 123,
"baseAmount": "<string>"
}
],
"details": {
"source": "item",
"discountItemId": 123,
"amountType": "<string>",
"configuredAmount": 123,
"condition": "<string>",
"conditionItems": [
{
"id": 123
}
],
"baseAmount": 123,
"appliedAmount": 123,
"maxDiscountAmount": 123,
"cartItems": [
{
"itemId": 123,
"totalAmount": 123
}
],
"breakdown": [
{
"itemId": 123,
"discountAmount": 123
}
]
}
}
],
"subscriptionId": 123,
"serviceCost": {
"amount": "<string>",
"percentage": "<string>",
"description": "<string>"
},
"paymentMethod": "<string>",
"isManualPayment": true,
"payments": [
{
"id": 123,
"date": "<string>",
"totalAmount": "<string>",
"isManual": true,
"reference": "<string>"
}
],
"payerContacts": [
{
"id": 123,
"type": "<string>",
"notify": true,
"name": "<string>",
"lastName": "<string>",
"hash": "<string>",
"documentNumber": "<string>",
"address": "<string>",
"city": "<string>",
"province": "<string>",
"phoneNumber": "<string>",
"whatsappNumber": "<string>",
"email": "<string>"
}
],
"files": [
{
"id": 123,
"url": "<string>",
"createdAt": "<string>",
"user": {
"id": 123,
"name": "<string>",
"lastName": "<string>"
}
}
],
"activities": [
{
"id": 123,
"activity": "<string>",
"createdAt": "<string>",
"history": [
{
"id": 123,
"status": "<string>",
"createdAt": "<string>"
}
],
"reminder": {
"id": 123,
"days": 123
},
"lastStatus": "<string>"
}
],
"notes": [
{
"id": 123,
"createdAt": "<string>",
"note": "<string>",
"user": {
"id": 123,
"name": "<string>",
"lastName": "<string>"
}
}
]
}Facturas
Obtener una factura por ID
Obtener una factura por su ID
GET
/
invoice
/
{invoiceId}
Obtener una factura por ID
curl --request GET \
--url https://api.fint.app/api/v1/invoice/{invoiceId} \
--header 'x-api-key: <api-key>'{
"id": 123,
"totalAmount": "<string>",
"totalPaid": "<string>",
"totalPending": "<string>",
"totalMora": "<string>",
"interestPaid": "<string>",
"interestSnapshot": "<string>",
"interestSnapshotDate": "<string>",
"description": "<string>",
"date": "<string>",
"expirationDate": "<string>",
"settlement": {
"id": 123,
"name": "<string>",
"sentDate": "<string>"
},
"lastPaymentDate": "<string>",
"uniqueId": "<string>",
"applyInterest": true,
"externalReference": "<string>",
"contact": {
"id": 123,
"name": "<string>",
"lastName": "<string>",
"documentNumber": "<string>"
},
"items": [
{
"id": 123,
"name": "<string>",
"amount": "<string>",
"description": "<string>",
"startDate": "<string>",
"isIndefinite": true,
"conditionItems": [
{
"id": 123,
"name": "<string>",
"amount": "<string>",
"description": "<string>",
"startDate": "<string>",
"collectionCycles": 1
}
],
"originalAmount": "<string>",
"imageUrl": "<string>",
"quantity": 123,
"teachableCourseId": 123,
"teachableCourseExpiresAt": "<string>",
"collectionCycles": 1,
"generateInterestForLatePayment": false,
"moraDetails": [
{
"fromDay": 123,
"untilDay": 123,
"percentage": "<string>",
"daysToApply": 123,
"interestCalculated": "<string>",
"itemId": 123,
"configId": 123,
"baseAmount": "<string>"
}
],
"details": {
"source": "item",
"discountItemId": 123,
"amountType": "<string>",
"configuredAmount": 123,
"condition": "<string>",
"conditionItems": [
{
"id": 123
}
],
"baseAmount": 123,
"appliedAmount": 123,
"maxDiscountAmount": 123,
"cartItems": [
{
"itemId": 123,
"totalAmount": 123
}
],
"breakdown": [
{
"itemId": 123,
"discountAmount": 123
}
]
}
}
],
"subscriptionId": 123,
"serviceCost": {
"amount": "<string>",
"percentage": "<string>",
"description": "<string>"
},
"paymentMethod": "<string>",
"isManualPayment": true,
"payments": [
{
"id": 123,
"date": "<string>",
"totalAmount": "<string>",
"isManual": true,
"reference": "<string>"
}
],
"payerContacts": [
{
"id": 123,
"type": "<string>",
"notify": true,
"name": "<string>",
"lastName": "<string>",
"hash": "<string>",
"documentNumber": "<string>",
"address": "<string>",
"city": "<string>",
"province": "<string>",
"phoneNumber": "<string>",
"whatsappNumber": "<string>",
"email": "<string>"
}
],
"files": [
{
"id": 123,
"url": "<string>",
"createdAt": "<string>",
"user": {
"id": 123,
"name": "<string>",
"lastName": "<string>"
}
}
],
"activities": [
{
"id": 123,
"activity": "<string>",
"createdAt": "<string>",
"history": [
{
"id": 123,
"status": "<string>",
"createdAt": "<string>"
}
],
"reminder": {
"id": 123,
"days": 123
},
"lastStatus": "<string>"
}
],
"notes": [
{
"id": 123,
"createdAt": "<string>",
"note": "<string>",
"user": {
"id": 123,
"name": "<string>",
"lastName": "<string>"
}
}
]
}Authorizations
Path Parameters
Response
Retorna la factura solicitada
Available options:
DRAFT, PENDING, PAID, CANCELED, PARTIALLY_PAID, BONIFIED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
SETTLEMENT, IMPORT, MANUAL, SUBSCRIPTION, EVENT, POS Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I